<?php
// actions/appointments/check_collision.php
include '../../common/url.php';
include ROOT_PATH . 'common/session.php';
include ROOT_PATH . 'common/config.php';

header('Content-Type: application/json');

// get date/time from GET
$date = $_GET['date'] ?? '';
$time = $_GET['time'] ?? '';

if (!preg_match('/^\d{4}-\d{2}-\d{2}$/', $date) || !preg_match('/^\d{2}:\d{2}$/', $time)) {
    echo json_encode([]);
    exit;
}

// query
$sql = "
  SELECT
    a.AppointmentID,
    a.PatientID,
    CONCAT(p.first_name, ' ', p.last_name) as patientName
  FROM appointments a
  LEFT JOIN patients p ON a.PatientID = p.id
  WHERE a.AppointmentDate = ? AND a.AppointmentTime = ?
";
$stmt = $conn->prepare($sql);
$stmt->bind_param('ss', $date, $time);
$stmt->execute();
$res = $stmt->get_result();

$collisions = [];
while ($row = $res->fetch_assoc()) {
    $collisions[] = [
        'AppointmentID' => $row['AppointmentID'],
        'patientID'     => $row['PatientID'],
        'patientName'   => $row['patientName']
    ];
}
$stmt->close();

echo json_encode($collisions);
