<?php
// actions/followups/get_followups_by_appointment.php
header('Content-Type: application/json; charset=utf-8');

require_once '../../common/config.php';
session_start();

$apptID = (int)($_GET['appointment_id'] ?? 0);
$rows   = [];
if ($apptID > 0) {
    $sql = "
      SELECT
        f.FollowUpID,
        f.FollowUpDate,
        f.FollowUpType,
        f.Remarks,
        f.FollowUpStatus,
        cat.name AS category_name
      FROM follow_up f
      LEFT JOIN followup_categories cat
        ON f.followup_category_id = cat.id
      WHERE f.AppointmentID = ?
      ORDER BY f.FollowUpDate ASC
    ";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $apptID);
    $stmt->execute();
    $res = $stmt->get_result();
    while ($r = $res->fetch_assoc()) {
        $rows[] = $r;
    }
    $stmt->close();
}
echo json_encode($rows);
exit;
