<?php
// get_grouped_followups.php
// Usage: ?appointment_id=123 => returns JSON array of follow-ups
// that have followup_category_id=3 (i.e. "Appointment") for that AppointmentID.

header('Content-Type: application/json; charset=utf-8');
require_once '../../common/config.php';
session_start();

$apptID = (int)($_GET['appointment_id'] ?? 0);
if ($apptID < 1) {
    // Invalid or missing appointment ID => return empty array
    echo json_encode([]);
    exit;
}

// If you want to join category name, we can do:
$sql = "
  SELECT f.*,
         cat.name AS category_name
  FROM follow_up f
  LEFT JOIN followup_categories cat ON f.followup_category_id=cat.id
  WHERE f.AppointmentID = ?
    AND f.followup_category_id = 3
  ORDER BY f.FollowUpDate ASC
";
$stmt = $conn->prepare($sql);
$stmt->bind_param('i', $apptID);
$stmt->execute();
$res = $stmt->get_result();

$rows = [];
while ($r = $res->fetch_assoc()) {
    $rows[] = $r;
}
$stmt->close();

echo json_encode($rows);
exit;
