<?php
// actions/get_cities.php

include '../common/url.php';
include ROOT_PATH . 'common/config.php';

if (isset($_GET['state'])) {
    $state = $conn->real_escape_string($_GET['state']);

    // Get state_id from states table
    $stmt = $conn->prepare("SELECT id FROM states WHERE name = ?");
    $stmt->bind_param("s", $state);
    $stmt->execute();
    $stmt->bind_result($state_id);
    $stmt->fetch();
    $stmt->close();

    if ($state_id) {
        // Fetch cities based on state_id
        $stmt = $conn->prepare("SELECT name FROM cities WHERE state_id = ? ORDER BY name ASC");
        $stmt->bind_param("i", $state_id);
        $stmt->execute();
        $result = $stmt->get_result();

        $cities = [];
        if ($result && $result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
                $cities[] = $row;
            }
        }

        $stmt->close();

        header('Content-Type: application/json');
        echo json_encode($cities);
        exit();
    }
}

// If state not found or parameter missing
header('Content-Type: application/json');
echo json_encode([]);
