<?php
// actions/get_postcodes.php

include '../common/url.php';
include ROOT_PATH . 'common/config.php';

if (isset($_GET['city'])) {
    $city = $conn->real_escape_string($_GET['city']);

    // Get city_id from cities table
    $stmt = $conn->prepare("SELECT id FROM cities WHERE name = ?");
    $stmt->bind_param("s", $city);
    $stmt->execute();
    $stmt->bind_result($city_id);
    $stmt->fetch();
    $stmt->close();

    if ($city_id) {
        // Fetch postcodes based on city_id
        $stmt = $conn->prepare("SELECT postcode FROM postcodes WHERE city_id = ? ORDER BY postcode ASC");
        $stmt->bind_param("i", $city_id);
        $stmt->execute();
        $result = $stmt->get_result();

        $postcodes = [];
        if ($result && $result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
                $postcodes[] = $row;
            }
        }

        $stmt->close();

        header('Content-Type: application/json');
        echo json_encode($postcodes);
        exit();
    }
}

// If city not found or parameter missing
header('Content-Type: application/json');
echo json_encode([]);
