<?php
// authenticate.php
// Inside login_authenticate.php
session_start();
include '../common/url.php';


include ROOT_PATH . 'common/config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = trim($_POST['username']);
    $password = $_POST['password'];

    $stmt = $conn->prepare("SELECT id, first_name, last_name, password_hash, role FROM users WHERE username = ?");
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $stmt->store_result();

    if ($stmt->num_rows > 0) {
        $stmt->bind_result($id, $first_name, $last_name, $password_hash, $role);
        $stmt->fetch();

        if (password_verify($password, $password_hash)) {
            // Set session variables
            $_SESSION['user_id'] = $id;
            $_SESSION['username'] = $username;
            $_SESSION['first_name'] = $first_name;
            $_SESSION['last_name'] = $last_name;
            $_SESSION['role'] = $role;
            $_SESSION['logged_in'] = true; // Add this explicitly

            // Debug
            error_log("User logged in: " . print_r($_SESSION, true));

            // Redirect
            header('Location: ' . $baseURL . 'pages/dashboard.php');
            exit;
        } else {
            $_SESSION['error'] = 'Invalid username or password.';
            error_log("Login failed: Invalid password for user $username.");
            header('Location: ' . $baseURL . '/login.php');
            exit;
        }
    } else {
        $_SESSION['error'] = 'Invalid username or password.';
        error_log("Login failed: User $username does not exist.");
        header('Location: ' . $baseURL . '/login.php');
        exit;
    }
}
