<?php
// actions/msr/approve_msr.php

include '../../common/url.php';
include ROOT_PATH . 'common/session.php';
include ROOT_PATH . 'common/config.php';

header('Content-Type: application/json');

// Only admin can approve MSRs.
if (!isset($_SESSION['user_id']) || ($_SESSION['role'] ?? 'staff') !== 'admin') {
    echo json_encode(['success' => false, 'message' => 'Unauthorized.']);
    exit;
}

$adminUserId = (int) $_SESSION['user_id'];

if (!isset($_GET['id']) || !is_numeric($_GET['id'])) {
    echo json_encode(['success' => false, 'message' => 'Invalid MSR ID.']);
    exit;
}
$msr_id = (int) $_GET['id'];

$stmt = $conn->prepare("UPDATE msr SET approved = 1, approved_by = ? WHERE id = ?");
$stmt->bind_param("ii", $adminUserId, $msr_id);
if ($stmt->execute()) {
    echo json_encode(['success' => true, 'message' => 'MSR approved successfully.']);
} else {
    echo json_encode(['success' => false, 'message' => 'Approval failed: ' . $stmt->error]);
}
$stmt->close();
$conn->close();
