<?php
// actions/msr/delete_holiday.php
include '../../common/url.php';
include ROOT_PATH . 'common/session.php';
include ROOT_PATH . 'common/config.php';

header('Content-Type: application/json');

if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'No valid session.']);
    exit;
}
$user_role = $_SESSION['role'] ?? 'staff';
if ($user_role !== 'admin') {
    echo json_encode(['success' => false, 'message' => 'Only admin can delete holiday.']);
    exit;
}

$id = (int)($_GET['id'] ?? 0);
if ($id < 1) {
    echo json_encode(['success' => false, 'message' => 'Invalid holiday ID.']);
    exit;
}

// Remove the row from msr if holiday=1
$sql = "DELETE FROM msr WHERE id=? AND holiday=1 LIMIT 1";
$st = $conn->prepare($sql);
$st->bind_param('i', $id);
if (!$st->execute()) {
    echo json_encode(['success' => false, 'message' => 'Failed to delete: ' . $st->error]);
    exit;
}
if ($st->affected_rows < 1) {
    echo json_encode(['success' => false, 'message' => 'No holiday row found or not holiday.']);
    exit;
}
$st->close();

echo json_encode(['success' => true, 'message' => 'Holiday deleted successfully.']);
