<?php
// actions/get_patient_info.php
include '../../common/url.php';
include ROOT_PATH . 'common/session.php';
include ROOT_PATH . 'common/config.php';

if (!isset($_GET['patient_id']) || !is_numeric($_GET['patient_id'])) {
    echo json_encode(['error' => true, 'message' => 'Invalid patient_id']);
    exit;
}

$patient_id = (int)$_GET['patient_id'];

// Adjust column names to match your `patients` table
$sql = "SELECT identificationNumber, old_debt FROM patients WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $patient_id);
$stmt->execute();
$res = $stmt->get_result();

if ($res->num_rows === 0) {
    echo json_encode(['error' => true, 'message' => 'Patient not found']);
    exit;
}

$row = $res->fetch_assoc();
$stmt->close();

echo json_encode([
    'error' => false,
    'old_debt' => $row['old_debt'],
    'identificationNumber' => $row['identificationNumber']
]);
