<?php
// sidebar.php
?>
<div id="sidebar-wrapper">
    <!-- Sidebar Heading -->
    <div class="sidebar-heading bg-primary text-white py-4 px-3">
        <!-- Example uses $siteTitle; adjust to your needs -->
        <i class="fa fa-clinic-medical me-2"></i><?php echo htmlspecialchars($siteTitle ?? 'My Dashboard'); ?>
    </div>

    <!-- Sidebar Links -->
    <div class="list-group list-group-flush">
        <!-- Example use of $baseURL; adjust or remove as needed -->
        <a href="<?php echo $baseURL ?? ''; ?>pages/dashboard.php"
            class="list-group-item list-group-item-action list-group-item-light p-3">
            <i class="fa fa-home me-2"></i> Dashboard
        </a>

        <!-- MSR -->
        <a href="#msrSubmenu" data-bs-toggle="collapse" aria-expanded="false"
            class="list-group-item list-group-item-action list-group-item-light p-3">
            <i class="fa fa-file-invoice-dollar me-2"></i> Medicine Sold Report
            <i class="fa fa-chevron-down float-end"></i>
        </a>
        <div class="collapse" id="msrSubmenu">
            <a href="<?php echo $baseURL ?? ''; ?>pages/msr/msr.php"
                class="list-group-item list-group-item-action list-group-item-light ps-5">
                <i class="fa fa-capsules me-2"></i> MSR
            </a>
            <a href="<?php echo $baseURL ?? ''; ?>pages/msr/msrList.php"
                class="list-group-item list-group-item-action list-group-item-light ps-5">
                <i class="fa fa-list-alt me-2"></i> MSR List
            </a>
        </div>

        <!-- Patients Dropdown -->
        <a href="#patientSubmenu" data-bs-toggle="collapse" aria-expanded="false"
            class="list-group-item list-group-item-action list-group-item-light p-3">
            <i class="fa fa-user-injured me-2"></i> Patients
            <i class="fa fa-chevron-down float-end"></i>
        </a>
        <div class="collapse" id="patientSubmenu">
            <a href="<?php echo $baseURL ?? ''; ?>pages/patient/patientAdd.php"
                class="list-group-item list-group-item-action list-group-item-light ps-5">
                <i class="fa fa-user-plus me-2"></i> Add Patient
            </a>
            <a href="<?php echo $baseURL ?? ''; ?>pages/patient/patientList.php"
                class="list-group-item list-group-item-action list-group-item-light ps-5">
                <i class="fa fa-users me-2"></i> View Patients
            </a>
            <a href="<?php echo $baseURL ?? ''; ?>pages/upcoming/all_items.php"
                class="list-group-item list-group-item-action list-group-item-light ps-5">
                <i class="fa fa-calendar-check me-2"></i> Patient Schedule
            </a>
        </div>

        <!-- Reports Dropdown -->
        <a href="#reportsSubmenu" data-bs-toggle="collapse"
            class="list-group-item list-group-item-action list-group-item-light p-3">
            <i class="fa fa-chart-pie me-2"></i> Reports
            <i class="fa fa-chevron-down float-end"></i>
        </a>
        <div class="collapse" id="reportsSubmenu">
            <a href="#"
                class="list-group-item list-group-item-action list-group-item-light ps-5">
                <i class="fa fa-chart-line me-2"></i> Sales Report
            </a>
            <a href="#"
                class="list-group-item list-group-item-action list-group-item-light ps-5">
                <i class="fa fa-user-clock me-2"></i> User Activity
            </a>
        </div>

        <!-- Profile -->
        <a href="<?php echo $baseURL ?? ''; ?>pages/profile.php"
            class="list-group-item list-group-item-action list-group-item-light ps-3">
            <i class="fa fa-calendar-check me-2"></i> Profile
        </a>

        <!-- Settings (Disabled) -->
        <a href="#" aria-disabled="true"
            class="list-group-item list-group-item-action list-group-item-light p-3 disabled">
            <i class="fa fa-tools me-2"></i> Settings
        </a>

        <!-- User Management -->
        <a href="<?php echo $baseURL ?? ''; ?>pages/userList.php"
            class="list-group-item list-group-item-action list-group-item-light p-3">
            <i class="fa fa-user me-2"></i> Users
        </a>
    </div>
</div>