<?php
include 'common/url.php';
include 'common/config.php';
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <!-- Ensure proper rendering and touch zooming on mobile devices -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Agasthiar Kulim - Login</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Bootstrap Icons CSS -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.10.5/font/bootstrap-icons.min.css" rel="stylesheet">
    <!-- Custom Styles -->
    <style>
        body {
            display: flex;
            min-height: 100vh;
            flex-direction: column;
            background: linear-gradient(135deg, #ece9e6, #ffffff);
            margin: 0;
            padding: 0;
        }

        /* Default settings for small devices */
        .main-container {
            margin: auto;
            width: 90%;
            max-width: 400px;
        }

        .card {
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            padding: 1.5rem;
        }

        .logo-container img {
            height: 80px;
        }

        .page-title {
            text-align: center;
            font-weight: 600;
            font-size: 1.5rem;
        }

        .btn-primary {
            width: 100%;
        }

        .alert {
            margin-top: 15px;
        }

        /* For slightly larger smartphones */
        @media (min-width: 576px) {
            .main-container {
                width: 80%;
                max-width: 500px;
            }

            .page-title {
                font-size: 1.75rem;
            }
        }

        /* For tablets and small desktops (e.g., many Android tablets) */
        @media (min-width: 768px) {
            .main-container {
                width: 70%;
                max-width: 600px;
            }

            .card {
                padding: 2rem;
            }

            .page-title {
                font-size: 2rem;
            }
        }

        /* For larger desktops */
        @media (min-width: 992px) {
            .main-container {
                width: 50%;
                max-width: 700px;
            }

            .card {
                padding: 2.5rem;
            }

            .page-title {
                font-size: 2.25rem;
            }
        }

        /* For extra-large screens */
        @media (min-width: 1200px) {
            .main-container {
                width: 40%;
                max-width: 800px;
            }

            .card {
                padding: 3rem;
            }

            .page-title {
                font-size: 2.5rem;
            }
        }
    </style>
</head>

<body>
    <div class="main-container">
        <div class="card">
            <!-- Logo -->
            <div class="text-center logo-container mb-3">
                <img src="<?php echo $baseURL; ?>/assets/images/agLogo.png" alt="Agasthiar Logo">
            </div>

            <!-- Page Titles -->
            <h4 class="page-title mb-3">Agasthiar Kulim</h4>
            <h5 class="text-center mb-4">Login</h5>

            <!-- Error Message -->
            <?php
            include 'common/session.php';
            if (isset($_SESSION['error'])) {
                echo '<div class="alert alert-danger text-center">' . $_SESSION['error'] . '</div>';
                unset($_SESSION['error']);
            }
            ?>

            <!-- Login Form -->
            <form action="<?php echo $baseURL; ?>/actions/login_authenticate.php" method="POST">
                <div class="mb-3">
                    <label for="username" class="form-label">Username</label>
                    <div class="input-group">
                        <span class="input-group-text"><i class="bi bi-person"></i></span>
                        <input type="text" id="username" name="username" class="form-control" required>
                    </div>
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <div class="input-group">
                        <span class="input-group-text"><i class="bi bi-lock"></i></span>
                        <input type="password" id="password" name="password" class="form-control" required>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Login</button>
            </form>
        </div>
    </div>

    <!-- Bootstrap JS Bundle (includes Popper) -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>