<div class="card p-3 shadow-sm border-0">
    <h5 class="mb-3">Debts (Based on MSR Date)</h5>
    <!-- Filter Form -->
    <form class="row g-3 mb-3" method="GET">
        <input type="hidden" name="id" value="<?php echo (int)$patient_id; ?>">
        <input type="hidden" name="debts-tab" value="1">

        <div class="col-md-3">
            <label class="form-label fw-bold">Start Date</label>
            <input type="date" class="form-control" name="deb_start"
                value="<?php echo htmlspecialchars($debStart); ?>">
        </div>
        <div class="col-md-3">
            <label class="form-label fw-bold">End Date</label>
            <input type="date" class="form-control" name="deb_end"
                value="<?php echo htmlspecialchars($debEnd); ?>">
        </div>
        <div class="col-md-2 d-flex align-items-end">
            <button class="btn btn-primary w-100">
                <i class="fas fa-filter me-1"></i> Filter
            </button>
        </div>
    </form>

    <?php if (!empty($debts)): ?>
        <div class="timeline">
            <?php foreach ($debts as $dbItem): ?>
                <?php
                $debtAmt = (float)$dbItem['debt_amount'];
                $paidSoFar = (float)$dbItem['payment_amount'];
                $leftover = (float)$dbItem['balance_after_payment'];
                ?>
                <div class="timeline-item mb-4">
                    <div class="timeline-marker"></div>
                    <div class="timeline-content">
                        <h6>
                            Debt on <?php echo htmlspecialchars($dbItem['msr_date_formatted']); ?>
                            &middot;
                            MSR:
                            <a href="<?php echo $baseURL; ?>pages/msr/viewMsr.php?id=<?php echo urlencode($dbItem['msr_main_id']); ?>"
                                target="_blank">
                                <?php echo htmlspecialchars($dbItem['msr_number']); ?>
                            </a>
                        </h6>
                        <p class="mb-2">
                            <strong>Debt Amount:</strong> RM <?php echo number_format($debtAmt, 2); ?><br>
                            <strong>Paid So Far:</strong> RM <?php echo number_format($paidSoFar, 2); ?><br>
                            <?php if ($leftover <= 0): ?>
                                <strong>Status:</strong> <span class="badge bg-success">Paid in Full</span>
                            <?php else: ?>
                                <strong>Balance Left:</strong>
                                <span class="text-danger">RM <?php echo number_format($leftover, 2); ?></span>
                            <?php endif; ?>
                        </p>
                        <!-- partial payments -->
                        <?php $pps = $dbItem['partial_payments'] ?? []; ?>
                        <div class="ps-3 border-start">
                            <?php if (!empty($pps)): ?>
                                <strong>Partial Payments:</strong>
                                <ul class="list-group mt-2">
                                    <?php foreach ($pps as $pp): ?>
                                        <li class="list-group-item">
                                            <strong><?php echo date('d M Y, h:i A', strtotime($pp['pay_date'])); ?></strong>
                                            <br>
                                            RM <?php echo number_format($pp['pay_amount'], 2); ?>
                                            via <?php echo htmlspecialchars($pp['payment_type']); ?>
                                            <?php if (!empty($pp['remarks'])): ?>
                                                <br><em><?php echo htmlspecialchars($pp['remarks']); ?></em>
                                            <?php endif; ?>
                                        </li>
                                    <?php endforeach; ?>
                                </ul>
                            <?php else: ?>
                                <p class="text-muted mb-0">No partial payments.</p>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    <?php else: ?>
        <p>No debts found for this patient.</p>
    <?php endif; ?>
</div>