<?php
// includes/header.php
include '../common/url.php';
include ROOT_PATH . 'common/session.php';
include ROOT_PATH . 'common/config.php';

// Prevent caching
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Settings | Agasthiar</title>

    <!-- Include Select2 CSS -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-beta.1/css/select2.min.css" rel="stylesheet" />

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome for Icons -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" rel="stylesheet">

    <!-- Bootstrap Datepicker CSS -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css" rel="stylesheet">

    <!-- Global Custom CSS -->
    <link href="<?php echo $baseURL; ?>assets/css/styles.css" rel="stylesheet">

    <!-- Page-Specific CSS -->

</head>

<body>
    <div id="wrapper">

        <?php include ROOT_PATH . 'includes/navbar.php'; ?>
        <div id="page-content-wrapper">
            <?php include ROOT_PATH . 'includes/sidebar.php'; ?>

            <?php
            // pages/settings.php
            ?>
            <div class="container-fluid mt-4">
                <h1 class="mb-4">Settings</h1>
                <div class="card shadow-sm">
                    <div class="card-header bg-primary text-white">
                        <i class="fa fa-cogs me-2"></i> Application Settings
                    </div>
                    <div class="card-body">
                        <form>
                            <!-- Example Form Group: Site Title -->
                            <div class="mb-3">
                                <label for="siteTitle" class="form-label">Site Title</label>
                                <input type="text" class="form-control" id="siteTitle" value="<?php echo htmlspecialchars($siteTitle); ?>">
                            </div>
                            <!-- Add more form groups as needed -->
                            <button type="submit" class="btn btn-primary"><i class="fa fa-save me-2"></i> Save Changes</button>
                        </form>
                    </div>
                </div>
            </div>



            <!-- Include jQuery -->
            <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

            <!-- Bootstrap JS and dependencies -->
            <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

            <!-- Custom JS -->
            <script src="<?php echo htmlspecialchars($baseURL); ?>assets/js/scripts.js"></script>


            <?php include ROOT_PATH . 'includes/footer.php' ?>